/**
 * @function filterDply
 */

"use strict";

/** @lends filterDply */
function filterDply(dplys, name, callback) {
    for (let i = 0, len = dplys.length; i < len; i++) {
        let dply = dplys[i];
        let hit = dply.name === name;
        if (hit) {
            callback(null, dply);
            return;
        }
    }
    callback(new Error(`Unknown name: ${name}`));
}


module.exports = filterDply;