/**
 * @function listDply
 */

"use strict";

const argx = require('argx'),
    extend = require('extend'),
    apemandocker = require('apemandocker'),
    getDplys = require('./get_dplys'),
    ListLogger = require('../logging/list_logger');

/** @lends listDply */
function listDply(apemanfile, names,options, callback) {
    let args = argx(arguments);
    callback = args.pop('function') || argx.noop;
    options = args.pop('object') || {};

    let docker = apemandocker.create(),
        logger = new ListLogger({}),
        dplys = getDplys(apemanfile, names);

    logger.logList(dplys);
    callback(null);
}

module.exports = listDply;