/**
 * @function selectDply
 */
"use strict";

const readline = require('readline'),
    colorprint = require('colorprint');

/** @lends selectDply */
function selectDply(dplys, callback) {
    let rl = readline.createInterface({
        input: process.stdin,
        output: process.stdout
    });

    let names = dplys.map((dply) => {
        return String(dply.name).trim();
    });
    colorprint.debug(names.join('\t'));

    rl.question('Which dply? : ', (name)=> {
        rl.close();
        callback(null, String(name).trim());
    });
}

module.exports = selectDply;